import { ModuleWithProviders } from '@angular/core';
import { AppRootComponent } from './components/appRoot.component';
import { PlatformService, ProfilesService, ProfileProvider, Profile, SelectorService } from './api';
import { AppService } from './services/app.service';
import { ConfigService } from './services/config.service';
import { HotkeysService } from './services/hotkeys.service';
import 'perfect-scrollbar/css/perfect-scrollbar.css';
/** @hidden */
export default class AppModule {
    private profilesService;
    private selector;
    constructor(app: AppService, config: ConfigService, platform: PlatformService, hotkeys: HotkeysService, profilesService: ProfilesService, selector: SelectorService);
    showSelector(provider: ProfileProvider<Profile>): Promise<void>;
    static forRoot(): ModuleWithProviders<AppModule>;
}
export { AppRootComponent as bootstrap };
export * from './api';
export { ToolbarButton as IToolbarButton } from './api';
export { HotkeyDescription as IHotkeyDescription } from './api';
