import { EventEmitter } from '@angular/core';
import { FileUpload, MenuItemOptions, PlatformService } from 'tabby-core';
import { SFTPSession, SFTPFile } from '../session/sftp';
import { SSHSession } from '../session/ssh';
import { SFTPContextMenuItemProvider } from '../api';
interface PathSegment {
    name: string;
    path: string;
}
export declare class SFTPPanelComponent {
    private platform;
    protected contextMenuProviders: SFTPContextMenuItemProvider[];
    session: SSHSession;
    closed: EventEmitter<void>;
    sftp: SFTPSession;
    fileList: SFTPFile[] | null;
    path: string;
    pathChange: EventEmitter<string>;
    pathSegments: PathSegment[];
    constructor(platform: PlatformService, contextMenuProviders: SFTPContextMenuItemProvider[]);
    ngOnInit(): Promise<void>;
    navigate(newPath: string): Promise<void>;
    getIcon(item: SFTPFile): string;
    goUp(): void;
    open(item: SFTPFile): Promise<void>;
    upload(): Promise<void>;
    uploadOne(transfer: FileUpload): Promise<void>;
    download(itemPath: string, mode: number, size: number): Promise<void>;
    getModeString(item: SFTPFile): string;
    buildContextMenu(item: SFTPFile): Promise<MenuItemOptions[]>;
    showContextMenu(item: SFTPFile, event: MouseEvent): Promise<void>;
    close(): void;
}
export {};
