import { Injector } from '@angular/core';
import { NgbModal } from '@ng-bootstrap/ng-bootstrap';
import { Platform, ProfilesService, RecoveryToken } from 'tabby-core';
import { BaseTerminalTabComponent } from 'tabby-terminal';
import { SSHService } from '../services/ssh.service';
import { KeyboardInteractivePrompt, SSHSession } from '../session/ssh';
import { SSHProfile } from '../api';
/** @hidden */
export declare class SSHTabComponent extends BaseTerminalTabComponent {
    ssh: SSHService;
    private ngbModal;
    private profilesService;
    Platform: typeof Platform;
    profile?: SSHProfile;
    session: SSHSession | null;
    sftpPanelVisible: boolean;
    sftpPath: string;
    enableToolbar: boolean;
    activeKIPrompt: KeyboardInteractivePrompt | null;
    private sessionStack;
    private recentInputs;
    private reconnectOffered;
    constructor(injector: Injector, ssh: SSHService, ngbModal: NgbModal, profilesService: ProfilesService);
    ngOnInit(): void;
    setupOneSession(session: SSHSession, interactive: boolean): Promise<void>;
    protected attachSessionHandlers(): void;
    initializeSession(): Promise<void>;
    getRecoveryToken(): Promise<RecoveryToken>;
    showPortForwarding(): void;
    reconnect(): Promise<void>;
    canClose(): Promise<boolean>;
    openSFTP(): Promise<void>;
    onClick(): void;
}
