/// <reference types="node" />
import { Duplex } from 'stream';
import { Observable } from 'rxjs';
import { SSHSession } from '../session/ssh';
import { SSHProfile } from '../api';
export declare class SSHService {
    private passwordStorage;
    private config;
    private platform;
    private detectedWinSCPPath;
    private constructor();
    getWinSCPPath(): string | undefined;
    getWinSCPURI(profile: SSHProfile, cwd?: string, username?: string): Promise<string>;
    launchWinSCP(session: SSHSession): Promise<void>;
}
export declare class SocksProxyStream extends Duplex {
    private profile;
    private client;
    private header;
    constructor(profile: SSHProfile);
    start(): Promise<void>;
    _read(size: number): void;
    _write(chunk: Buffer, _encoding: string, callback: (error?: Error | null) => void): void;
    _destroy(error: Error | null, callback: (error: Error | null) => void): void;
}
export declare class ProxyCommandStream extends Duplex {
    private command;
    private process;
    get output$(): Observable<string>;
    private output;
    constructor(command: string);
    start(): Promise<void>;
    _read(size: number): void;
    _write(chunk: Buffer, _encoding: string, callback: (error?: Error | null) => void): void;
    _destroy(error: Error | null, callback: (error: Error | null) => void): void;
}
