/// <reference types="node" />
import { Observable } from 'rxjs';
import { Logger } from 'tabby-core';
export interface LoginScript {
    expect: string;
    send: string;
    isRegex?: boolean;
    optional?: boolean;
}
export interface LoginScriptsOptions {
    scripts?: LoginScript[];
}
export declare class LoginScriptProcessor {
    private logger;
    get outputToSession$(): Observable<Buffer>;
    private outputToSession;
    private remainingScripts;
    private escapeSeqMap;
    constructor(logger: Logger, options: LoginScriptsOptions);
    feedFromSession(data: Buffer): boolean;
    close(): void;
    executeUnconditionalScripts(): void;
    unescape(line: string): string;
}
