import { StreamProcessingSettingsComponent } from './components/streamProcessingSettings.component';
import { LoginScriptsSettingsComponent } from './components/loginScriptsSettings.component';
import { TerminalFrontendService } from './services/terminalFrontend.service';
import { TerminalDecorator } from './api/decorator';
import { TerminalContextMenuItemProvider } from './api/contextMenuProvider';
import { TerminalColorSchemeProvider } from './api/colorSchemeProvider';
import { Frontend } from './frontends/frontend';
import { XTermFrontend, XTermWebGLFrontend } from './frontends/xtermFrontend';
/** @hidden */
export default class TerminalModule {
}
export { TerminalFrontendService, TerminalDecorator, TerminalContextMenuItemProvider, TerminalColorSchemeProvider };
export { Frontend, XTermFrontend, XTermWebGLFrontend };
export { BaseTerminalTabComponent } from './api/baseTerminalTab.component';
export * from './api/interfaces';
export * from './api/streamProcessing';
export * from './api/loginScriptProcessing';
export * from './api/osc1337Processing';
export * from './session';
export { LoginScriptsSettingsComponent, StreamProcessingSettingsComponent };
